Skip to main content
PUT
Update a configuration

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Path Parameters

alias
string
required

Body

application/json
alias
string
required
isDefault
boolean
required
apiKey
string
categories
enum<string>[]

Replaces the categories for this configuration. Omit to keep the current ones.

Replaces the categories for this configuration. Omit to keep the current ones.

Available options:
AI,
CI_CD,
CLOUD_INFRASTRUCTURE,
CODE_QUALITY,
COMMUNICATION,
ERROR_TRACKING,
FEATURE_MANAGEMENT,
INCIDENT_MANAGEMENT,
OBSERVABILITY,
ON_CALL,
PROJECT_MANAGEMENT,
SECURITY,
TEAMS,
VERSION_CONTROL,
ITSM
webhookSecret
string

Secret that signs Rootly webhook requests. Omit to keep the current one.

Response

OK

configurations
object[]
required